Bug 46085 - /usr/bin/expect has bogus RPATH
/usr/bin/expect has bogus RPATH
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: tcltk (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-26 14:44 EDT by hjl
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-27 17:06:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A patch (489 bytes, patch)
2001-06-26 14:45 EDT, hjl
no flags Details | Diff

  None (edit)
Description hjl 2001-06-26 14:44:26 EDT
# readelf -d usr/bin/expect

Dynamic segment at offset 0xba8 contains 26 entries:
  Tag        Type                         Name/Value
 0x00000001 (NEEDED)                     Shared library: [libexpect5.31.so]
 0x00000001 (NEEDED)                     Shared library: [libtcl8.3.so]
 0x00000001 (NEEDED)                     Shared library: [libdl.so.2]
 0x00000001 (NEEDED)                     Shared library: [libm.so.6]
 0x00000001 (NEEDED)                     Shared library: [libutil.so.1]
 0x00000001 (NEEDED)                     Shared library: [libc.so.6]
 0x0000000f (RPATH)                      Library rpath:
[/var/tmp/tcltk-root/usr
/lib:/usr/X11R6/lib]
Comment 1 hjl 2001-06-26 14:45:02 EDT
Created attachment 21866 [details]
A patch
Comment 2 Eido Inoue 2001-07-09 12:17:18 EDT
Thanks for the patch. Will be in the next beta.

Note You need to log in before you can comment on or make changes to this bug.